//AB/ Project Saisie du personnel
//AB/ Object prj is a VIEW_Project
//AB/     Set ProjectName to "Saisie du personnel"
//AB/     Set ProjectFileName to "Vperso.VW"
//AB/     Set GenerateFileName to "NONAME"

// Project Object Structure
//   Vperso is a dbView
//     Lperso_DD is a DataDictionary
//     Lperso_Initial is a dbForm
//     Lperso_Nom is a dbForm
//     Lperso_Prenom is a dbForm
//     Lperso_ is a dbGrid
//     LineControl1 is a LineControl
//     Textbox1 is a Textbox
//     Textbox2 is a Textbox
//     Textbox3 is a Textbox
//     prec is a Button
//     sauve is a Button
//     clear is a Button
//     Button1 is a Button
//     suiv is a Button

// Register all objects
Register_Object Button1
Register_Object clear
Register_Object LineControl1
Register_Object Lperso_
Register_Object Lperso_DD
Register_Object Lperso_Initial
Register_Object Lperso_Nom
Register_Object Lperso_Prenom
Register_Object prec
Register_Object sauve
Register_Object suiv
Register_Object Textbox1
Register_Object Textbox2
Register_Object Textbox3
Register_Object Vperso


//AB/ AppBuild VIEW

//AB-IgnoreStart

Use DFAllEnt.pkg

Use LPERSO.DD

//AB-IgnoreEnd

DEFERRED_VIEW Activate_Vperso FOR ;
;
Object Vperso is a dbView
    Set Minimize_Icon to FALSE
    Set Label to "Saisie du personnel"
    Set Size to 162 300
    Set Location to 6 6

    //AB-DDOStart

    Object Lperso_DD is a Lperso_DataDictionary
    End_Object    // Lperso_DD

    Set Main_DD to (Lperso_DD(Current_Object))
    Set Server to (Lperso_DD(Current_Object))

    //AB-DDOEnd

    Object Lperso_Initial is a dbForm
        Entry_Item Lperso.Initial
        Set Label to "Initiales"
        Set Label_Col_Offset to 2
        Set Label_Justification_Mode to jMode_Right
        Set Size to 13 34
        Set Location to 6 49
    End_Object    // Lperso_Initial

    Object Lperso_Nom is a dbForm
        Entry_Item Lperso.Nom
        Set Label to "Nom,prnom"
        Set Label_Col_Offset to 2
        Set Label_Justification_Mode to jMode_Right
        Set Size to 13 117
        Set Location to 26 49
    End_Object    // Lperso_Nom

    Object Lperso_Prenom is a dbForm
        Entry_Item Lperso.Prenom
        Set Label_Col_Offset to 2
        Set Label_Justification_Mode to jMode_Top
        Set Size to 13 117
        Set Location to 26 167
    End_Object    // Lperso_Prenom

    Object Lperso_ is a dbGrid
        Set Main_File to Lperso.File_Number
        Set Wrap_State to TRUE
        Set Size to 70 276
        Set Location to 54 7

        Begin_Row
            Entry_Item Lperso.Initial
            Entry_Item Lperso.Nom
            Entry_Item Lperso.Prenom
        End_Row

        Set Form_Width    item 0 to 34
        Set Header_Label  item 0 to "Initiales"
        
        Set Form_Width    item 1 to 118
        Set Header_Label  item 1 to "Nom"
        
        Set Form_Width    item 2 to 114
        Set Header_Label  item 2 to "Prnom"
        
    End_Object    // Lperso_

    Object LineControl1 is a LineControl
        Set Size to 2 276
        Set Location to 47 7
    End_Object    // LineControl1

    Object Textbox1 is a Textbox
        Set Label to "F2=Sauve"
        Set FontWeight to 600
        Set FontSize to 4 0
        Set Size to 10 34
        Set Location to 130 6
    End_Object    // Textbox1

    Object Textbox2 is a Textbox
        Set Label to "F5=Efface/Nouveau"
        Set FontWeight to 600
        Set FontSize to 4 0
        Set Size to 10 67
        Set Location to 130 97
    End_Object    // Textbox2

    Object Textbox3 is a Textbox
        Set Label to "F7 ou F8=Dplace"
        Set FontWeight to 600
        Set FontSize to 4 0
        Set Size to 10 60
        Set Location to 130 207
    End_Object    // Textbox3

    Object prec is a Button
        Set Bitmap to "prev.bmp"
        Set Size to 14 16
        Set Location to 6 112

        //AB-StoreStart
        Procedure OnClick
           Send Find_Previous To (Lperso_Initial(self))
        End_Procedure // OnClick
        
        
        
        
        
        //AB-StoreEnd

    End_Object    // prec

    Object sauve is a Button
        Set Bitmap to "tvuptab.bmp"
        Set Status_Help to "enregistre"
        Set Size to 14 16
        Set Location to 6 131

        //AB-StoreStart
        Procedure OnClick
           Send Request_Save_no_clear To (Lperso_Initial(self))
        End_Procedure // OnClick
        
        
        
        
        
        
        //AB-StoreEnd

    End_Object    // sauve

    Object clear is a Button
        Set Bitmap to "clr.bmp"
        Set Status_Help to "Efface/Nouveau"
        Set Size to 14 16
        Set Location to 6 150

        //AB-StoreStart
        Procedure OnClick
            Send Request_clear To (Lperso_Initial(self))
        End_Procedure // OnClick
        
        
        
        
        
        
        //AB-StoreEnd

    End_Object    // clear

    Object Button1 is a Button
        Set Label to "Button5"
        Set Bitmap to "sup.bmp"
        Set Size to 14 16
        Set Location to 6 169

        //AB-StoreStart
        Procedure OnClick
           Send Request_delete to (Lperso_Initial(self))
        End_Procedure // OnClick
        
        
        
        
        
        //AB-StoreEnd

    End_Object    // Button1

    Object suiv is a Button
        Set Bitmap to "next.bmp"
        Set Status_Help to "Suivant"
        Set Size to 14 16
        Set Location to 6 188

        //AB-StoreStart
        Procedure OnClick
           Send Find_Next To (Lperso_Initial(self))
        End_Procedure // OnClick
        
        
        
        
        
        //AB-StoreEnd

    End_Object    // suiv

CD_End_Object    // Vperso

//AB/ End_Object    // prj
