//AB/ Project Saisie des certifications reconnues
//AB/     Object prj is a VIEW_Project
//AB/         Set ProjectName to "Saisie des certifications reconnues"
//AB/         Set ProjectFileName to "VCertif.VW"
//AB/         Set GenerateFileName to "NONAME"

// Project Object Structure
//   VCertif is a dbView
//     Cv_DD is a DataDictionary
//     Lcertif_DD is a DataDictionary
//     Certif_DD is a DataDictionary
//     Lperso_DD is a DataDictionary
//     Requete_DD is a DataDictionary
//     Reqcert_DD is a DataDictionary
//     Lcertif_Idcertif is a dbForm
//     Lcertif_Libelle is a dbForm
//     LineControl1 is a LineControl
//     Lcertif_ is a dbGrid
//     Textbox1 is a Textbox
//     Textbox2 is a Textbox
//     Textbox3 is a Textbox
//     sauve is a Button
//     clear is a Button
//     suiv is a Button
//     prec is a Button
//     Button5 is a Button

// Register all objects
Register_Object Button5
Register_Object Certif_DD
Register_Object Cv_DD
Register_Object clear
Register_Object Lcertif_
Register_Object Lcertif_DD
Register_Object Lcertif_Idcertif
Register_Object Lcertif_Libelle
Register_Object LineControl1
Register_Object Lperso_DD
Register_Object prec
Register_Object Reqcert_DD
Register_Object Requete_DD
Register_Object sauve
Register_Object suiv
Register_Object Textbox1
Register_Object Textbox2
Register_Object Textbox3
Register_Object VCertif


//AB/     AppBuild VIEW

    //AB-IgnoreStart

    Use DFAllEnt.pkg

    Use CV.DD
    Use LCERTIF.DD
    Use CERTIF.DD
    Use LPERSO.DD
    Use REQUETE.DD
    Use REQCERT.DD
    
    //AB-IgnoreEnd

    DEFERRED_VIEW Activate_VCertif FOR ;
    ;
    Object VCertif is a dbView
        Set Minimize_Icon to FALSE
        Set Label to "Saisie des certifications reconnues"
        Set Size to 185 333
        Set Location to 6 6

        //AB-DDOStart

        Object Cv_DD is a Cv_DataDictionary
        End_Object    // Cv_DD

        Object Lcertif_DD is a Lcertif_DataDictionary
        End_Object    // Lcertif_DD

        Object Certif_DD is a Certif_DataDictionary
            Set DDO_Server to (Cv_DD(Current_Object))
            Set DDO_Server to (Lcertif_DD(Current_Object))
            Set Constrain_File to Lcertif.File_Number
        End_Object    // Certif_DD

        Object Lperso_DD is a Lperso_DataDictionary
        End_Object    // Lperso_DD

        Object Requete_DD is a Requete_DataDictionary
            Set DDO_Server to (Lperso_DD(Current_Object))
        End_Object    // Requete_DD

        Object Reqcert_DD is a Reqcert_DataDictionary
            Set DDO_Server to (Requete_DD(Current_Object))
            Set DDO_Server to (Lcertif_DD(Current_Object))
            Set Constrain_File to Lcertif.File_Number
        End_Object    // Reqcert_DD

        Set Main_DD to (Lcertif_DD(Current_Object))
        Set Server to (Lcertif_DD(Current_Object))

        //AB-DDOEnd

        Object Lcertif_Idcertif is a dbForm
            Entry_Item Lcertif.Idcertif
            Set Label to "Code"
            Set Label_Col_Offset to 2
            Set Label_Justification_Mode to jMode_Right
            Set Size to 13 54
            Set Location to 4 35
        End_Object    // Lcertif_Idcertif

        Object Lcertif_Libelle is a dbForm
            Entry_Item Lcertif.Libelle
            Set Label to "Libell"
            Set Label_Col_Offset to 2
            Set Label_Justification_Mode to jMode_Right
            Set Size to 13 279
            Set Location to 25 35
        End_Object    // Lcertif_Libelle

        Object LineControl1 is a LineControl
            Set Size to 2 310
            Set Location to 41 6
        End_Object    // LineControl1

        Object Lcertif_ is a dbGrid

            //AB-StoreTopStart
                                                                        
            //AB-StoreTopEnd

            Set Main_File to Lcertif.File_Number
            Set Ordering to 1
            Set Wrap_State to TRUE
            Set Size to 102 310
            Set Location to 50 6

            Begin_Row
                Entry_Item Lcertif.Idcertif
                Entry_Item Lcertif.Libelle
            End_Row

            Set Form_Width    item 0 to 48
            Set Header_Label  item 0 to "Code"
            
            Set Form_Width    item 1 to 252
            Set Header_Label  item 1 to "Libelle"
            

            //AB-StoreStart
            Set Focus_mode to nonfocusable
            
            //AB-StoreEnd

        End_Object    // Lcertif_

        Object Textbox1 is a Textbox
            Set Label to "F2=Sauve"
            Set FontWeight to 600
            Set FontSize to 4 0
            Set Size to 10 34
            Set Location to 155 18
        End_Object    // Textbox1

        Object Textbox2 is a Textbox
            Set Label to "F5=Efface/Nouveau"
            Set FontWeight to 600
            Set FontSize to 4 0
            Set Size to 10 67
            Set Location to 155 112
        End_Object    // Textbox2

        Object Textbox3 is a Textbox
            Set Label to "F7 ou F8=Dplace"
            Set FontWeight to 600
            Set FontSize to 4 0
            Set Size to 10 60
            Set Location to 155 242
        End_Object    // Textbox3

        Object sauve is a Button
            Set Bitmap to "tvuptab.bmp"
            Set Status_Help to "Enregistre"
            Set Size to 14 16
            Set Location to 4 124

            //AB-StoreStart
            Procedure OnClick
               Send Request_Save_No_Clear To (Lcertif_idcertif(self))
            End_Procedure // OnClick
            
            
            //AB-StoreEnd

        End_Object    // sauve

        Object clear is a Button
            Set Bitmap to "clr.bmp"
            Set Status_Help to "Efface/Nouveau"
            Set Size to 14 16
            Set Location to 4 143

            //AB-StoreStart
            Procedure OnClick
                Send Request_clear To (Lcertif_idcertif(self))
            End_Procedure // OnClick
            
            
            //AB-StoreEnd

        End_Object    // clear

        Object suiv is a Button
            Set Bitmap to "next.bmp"
            Set Status_Help to "Suivant"
            Set Size to 14 16
            Set Location to 4 181

            //AB-StoreStart
            Procedure OnClick
               Send Find_Next To (Lcertif_idcertif(self))
            End_Procedure // OnClick
            
            //AB-StoreEnd

        End_Object    // suiv

        Object prec is a Button
            Set Bitmap to "prev.bmp"
            Set Status_Help to "Prcdent"
            Set Size to 14 16
            Set Location to 4 105

            //AB-StoreStart
            Procedure OnClick
               Send Find_Previous To (Lcertif_idcertif(self))
            End_Procedure // OnClick
            
            //AB-StoreEnd

        End_Object    // prec

        Object Button5 is a Button
            Set Bitmap to "sup.bmp"
            Set Status_Help to "Supprime"
            Set Size to 14 16
            Set Location to 4 162

            //AB-StoreStart
            Procedure OnClick
               Send Request_delete to (Lcertif_idcertif(self))
            End_Procedure // OnClick
            
            //AB-StoreEnd

        End_Object    // Button5


        //AB-StoreStart
        Set Verify_Save_Msg       to GET_No_Confirmation
        Set Verify_Delete_Msg     to GET_Delete_Confirmation
        Set Verify_Data_Loss_Msg  to GET_Data_loss_Confirmation
        Set Verify_Exit_Msg       to GET_No_Confirmation
        //AB-StoreEnd

    CD_End_Object    // VCertif

//AB/     End_Object    // prj
