//AB/ Project Resultat de Recherche
//AB/     Object prj is a VIEW_Project
//AB/         Set ProjectName to "Resultat de Recherche"
//AB/         Set ProjectFileName to "Vresult.VW"
//AB/         Set GenerateFileName to "NONAME"

// Project Object Structure
//   Vresult is a dbView
//     Cv_DD is a DataDictionary
//     Reqcv_DD is a DataDictionary
//     dbContainer3d1 is a dbContainer3d
//       Reqcv_Idcv is a dbForm
//       Reqcv_Reussite is a dbForm
//       Bprev is a Button
//       BNext is a Button
//       BBgn is a Button
//       BEnd is a Button
//     dbContainer3d2 is a dbContainer3d
//       Button1 is a Button
//       Reqcv_Adresse is a dbForm
//       Reqcv_Cpost is a dbForm
//       Reqcv_Ville is a dbForm
//       Textbox1 is a Textbox
//       Button2 is a Button
//       Textbox2 is a Textbox
//     Cv_ is a dbGrid

// Register all objects
Register_Object BBgn
Register_Object BEnd
Register_Object BNext
Register_Object Bprev
Register_Object Button1
Register_Object Button2
Register_Object Cv_
Register_Object Cv_DD
Register_Object dbContainer3d1
Register_Object dbContainer3d2
Register_Object Reqcv_Adresse
Register_Object Reqcv_Cpost
Register_Object Reqcv_DD
Register_Object Reqcv_Idcv
Register_Object Reqcv_Reussite
Register_Object Reqcv_Ville
Register_Object Textbox1
Register_Object Textbox2
Register_Object Vresult


//AB/     AppBuild VIEW

    //AB-IgnoreStart

    Use DFAllEnt.pkg

    Use CV.DD
    Use REQCV.DD
    
    //AB-IgnoreEnd

    DEFERRED_VIEW Activate_Vresult FOR ;
    ;
    Object Vresult is a dbView
        Set Sysmenu_Icon to FALSE
        Set Minimize_Icon to FALSE
        Set Label to "Rsum du dsultat"
        Set Size to 231 363
        Set Location to 2 23

        //AB-DDOStart

        Object Cv_DD is a Cv_DataDictionary
        End_Object    // Cv_DD

        Object Reqcv_DD is a Reqcv_DataDictionary
        End_Object    // Reqcv_DD

        Set Main_DD to (Reqcv_DD(Current_Object))
        Set Server to (Reqcv_DD(Current_Object))

        //AB-DDOEnd

        Object dbContainer3d1 is a dbContainer3d
            Set Size to 39 274
            Set Location to 2 42
            Object Reqcv_Idcv is a dbForm
                Entry_Item Reqcv.Idcv
                Set Label to "N de Cv"
                Set Label_Col_Offset to 2
                Set Label_Justification_Mode to jMode_Right
                Set Size to 13 66
                Set Location to 6 36

                //AB-StoreStart
                                                                                                        
                                                                                                        
                                                                                                        
                //AB-StoreEnd

            End_Object    // Reqcv_Idcv

            Object Reqcv_Reussite is a dbForm
                Entry_Item Reqcv.Reussite
                Set Label to "Matching"
                Set Label_Col_Offset to 2
                Set Label_Justification_Mode to jMode_Right
                Set Size to 13 42
                Set Location to 6 183

                //AB-StoreStart
                Set Focus_Mode To nonfocusable
                
                //AB-StoreEnd

            End_Object    // Reqcv_Reussite

            Object Bprev is a Button
                Set Bitmap to "prev.bmp"
                Set Size to 14 16
                Set Location to 21 52

                //AB-StoreStart
                Procedure OnClick
                   Local Integer IDCV
                
                   Send SuperFind_Previous To (Reqcv_idcv(self))
                   Get Value of (ReqCv_Idcv(self)) To IDCV
                
                   Clear CV
                   Move IDCV To Cv.Idcv
                   Find EQ Cv By index.1
                
                End_Procedure // OnClick
                
                
                //AB-StoreEnd

            End_Object    // Bprev

            Object BNext is a Button
                Set Bitmap to "next.bmp"
                Set Size to 14 16
                Set Location to 21 69

                //AB-StoreStart
                Procedure OnClick
                   Local Integer IDCV
                
                   Send SuperFind_Next To (Reqcv_idcv(self))
                
                   Get Value of (ReqCv_Idcv(self)) To IDCV
                
                   Clear CV
                   Move IDCV To Cv.Idcv
                   Find EQ Cv By index.1
                
                End_Procedure // OnClick
                
                
                
                //AB-StoreEnd

            End_Object    // BNext

            Object BBgn is a Button
                Set Bitmap to "bgn.bmp"
                Set Size to 14 16
                Set Location to 21 35

                //AB-StoreStart
                Procedure OnClick
                   Send Beginning_of_data To (Reqcv_idcv(self))
                End_Procedure // OnClick
                
                
                //AB-StoreEnd

            End_Object    // BBgn

            Object BEnd is a Button
                Set Bitmap to "end.bmp"
                Set Size to 14 16
                Set Location to 21 86

                //AB-StoreStart
                Procedure OnClick
                    Send End_of_data To (Reqcv_idcv(self))
                End_Procedure // OnClick
                
                //AB-StoreEnd

            End_Object    // BEnd

        End_Object    // dbContainer3d1

        Object dbContainer3d2 is a dbContainer3d
            Set Size to 82 350
            Set Location to 44 4
            Object Button1 is a Button
                Set Label to "+ d'info"
                Set Bitmap to "info.bmp"
                Set Size to 22 23
                Set Location to 55 315

                //AB-StoreStart
                Procedure OnClick
                    Send Close_Panel
                
                    Clear Cv
                    move Reqcv.idcv To Cv.idcv
                    Find EQ Cv By index.1
                    Send Activate_Princip To (Client_Area(Main(self)))
                End_Procedure // OnClick
                
                
                
                
                //AB-StoreEnd

            End_Object    // Button1

            Object Reqcv_Adresse is a dbForm
                Entry_Item Reqcv.Adresse
                Set Label to "Adresse"
                Set Label_Col_Offset to 2
                Set Label_Justification_Mode to jMode_Top
                Set Size to 13 330
                Set Location to 10 7
            End_Object    // Reqcv_Adresse

            Object Reqcv_Cpost is a dbForm
                Entry_Item Reqcv.Cpost
                Set Label to "Code postal"
                Set Label_Col_Offset to 2
                Set Label_Justification_Mode to jMode_Top
                Set Size to 13 96
                Set Location to 36 7
            End_Object    // Reqcv_Cpost

            Object Reqcv_Ville is a dbForm
                Entry_Item Reqcv.Ville
                Set Label to "Localit"
                Set Label_Col_Offset to 2
                Set Label_Justification_Mode to jMode_Top
                Set Size to 13 225
                Set Location to 36 112
            End_Object    // Reqcv_Ville

            Object Textbox1 is a Textbox
                Set Label to "Plus d'info >>>"
                Set FontWeight to 600
                Set FontSize to 4 0
                Set Size to 10 50
                Set Location to 60 248
            End_Object    // Textbox1

            Object Button2 is a Button
                Set Bitmap to "w_sensor.bmp"
                Set Size to 22 23
                Set Location to 56 7

                //AB-StoreStart
                Procedure OnClick
                   Send Close_panel
                End_Procedure // OnClick
                
                //AB-StoreEnd

            End_Object    // Button2

            Object Textbox2 is a Textbox
                Set Label to "<<< Fermer la fentre"
                Set FontWeight to 600
                Set FontSize to 4 0
                Set Size to 10 71
                Set Location to 60 31
            End_Object    // Textbox2

        End_Object    // dbContainer3d2

        Object Cv_ is a dbGrid
            Set Main_File to Reqcv.File_Number
            Set Server to (Cv_DD(Current_Object))
            Set Ordering to 1
            Set Wrap_State to TRUE
            Set Size to 82 350
            Set Location to 132 4
            Set CurrentRowColor to 16500545
            Set CurrentCellColor to 16500545

            Begin_Row
                Entry_Item Reqcv.Nom
                Entry_Item Reqcv.Prenom
                Entry_Item Reqcv.Pays
                Entry_Item Reqcv.Reussite
            End_Row

            Set Form_Width    item 0 to 127
            Set Header_Label  item 0 to "Nom"
            
            Set Form_Width    item 1 to 104
            Set Header_Label  item 1 to "Prenom"
            
            Set Form_Width    item 2 to 69
            Set Header_Label  item 2 to "Pays"
            
            Set Form_Width    item 3 to 41
            Set Header_Label  item 3 to "Reussite"
            

            //AB-StoreStart
            Set resize_column_state To False
            Set Read_only_state To True
            
            //AB-StoreEnd

        End_Object    // Cv_

    CD_End_Object    // Vresult

//AB/     End_Object    // prj
